function correctFlow = readCorrectFlow(correctFlowFilename)
% Syntax: correctFlow = readCorrectFlow(correctFlowFilename)
%
%         correctFlowFilename  - correct flow file ".bin"
%         correctFlow          - return correct flow
%
% Description: Convert raw flow file to matlab file.
%
% Author: Haiying Liu
%   Date: August 23, 2001
%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

dbstop if error;

%===========================================================================

% Get correct flow.
fid = fopen(correctFlowFilename, 'r', 'b');

if fid == -1
  error('ERROR: Cannot open file correctly.');
end

nRow        = fread(fid, 1, 'float');
nCol        = fread(fid, 1, 'float');
nFlowRow    = fread(fid, 1, 'float');
nFlowCol    = fread(fid, 1, 'float');
rowMargin   = fread(fid, 1, 'float'); % = 0
colMargin   = fread(fid, 1, 'float'); % = 0

rawFlow     = fread(fid, 'float');
rawFlow     = reshape(rawFlow, 2, length(rawFlow) / 2)';
correct_u   = reshape(rawFlow(:, 1), nRow, nCol)';
correct_v   = -reshape(rawFlow(:, 2), nRow, nCol)';

correctFlow = cat(3, correct_u, correct_v);
