function show(imageData, figIdx)
% SHOW shows the image with equal and tight axis with pink colormap
%
% Syntax: show(image, figIdx)
%
%    Arg:    imageData      - image matrix to be show
%            figIdx         - figure index
%
% Author: Haley
%   Date: March 04, 1998

% $Revision: 1.0 $

msg = nargchk(1, 2, nargin);
if (~isempty(msg))
     error(strcat('ERROR:', msg));
end

clear msg;

%===============================================================================

if nargin > 1
   figIdx = abs(round(figIdx));
   if figIdx ~= 0
      figure(figIdx);
   else
      figure;
   end
end

imagesc(imageData);
colormap(pink(256));
axis equal;
axis tight;
%pixval;
