function borderImage = borderImageFromClusters(segmentedImage, clusterTrace2D)
%
% Usage: borderImage = borderImageFromClusters(segmentedImage, clusterTrace2D)

% Add borders to segmented image
%
%=======================================================================================


[nbRows, nbCols] = size(clusterTrace2D);
nbClusters = max(clusterTrace2D(:));
borderImage = segmentedImage;
borderColor = [256, 0, 0];

for i = 1:nbClusters
    clusterRegion = (clusterTrace2D == i);
    borders = logical(getBorders(clusterRegion));
    localR = borderImage(:,:,1); localG = borderImage(:,:,2); localB = borderImage(:,:,3); % read colors already there
    localR(borders) = borderColor(1); % add colors for borders
    localG(borders) = borderColor(2);
    localB(borders) = borderColor(3);
    borderImage(:,:,1) = localR; borderImage(:,:,2) = localG; borderImage(:,:,3) = localB;
end;

function borders = getBorders(region)
% Find border of region

[nbRows, nbCols] = size(region);

container = zeros(nbRows, nbCols);

north = container;
north(1:nbRows-1,:) = region(2:nbRows,:);
south = container;
south(2:nbRows,:) = region(1:nbRows-1,:);
east = container;
east(:,2:nbCols) = region(:,1:nbCols-1);
west = container;
west(:,1:nbCols-1) = region(:,2:nbCols);

borders = region & (~north | ~south | ~east | ~west);
