function segmented3D = colorsFromClusters3D2(clusterColors, clusterTrace3D, drawBorders)
%
% Usage: segmented3D, = segmentShotsFromClusters3D2(clusters, clusterColors, clusterTrace3D)

% Build a frame stack where pixel colors are colors of clusters to which pixels have drifted
%
%=======================================================================================

[nbFrames, nbRows, nbCols] = size(clusterTrace3D);
segmentedImage = zeros(nbFrames, nbRows, nbCols,  3);

borderColor = [256,0,0]; % red border between regions

for i = 1:nbFrames
	for j = 1:nbRows
		for k = 1:nbCols
			clusterIndex = clusterTrace3D(i, j, k);
  			if clusterIndex ~= 0
	   			segmentedImage(i, j, k,:) = clusterColors(clusterIndex,:);
                if drawBorders
                    if j>1
                        northIndex = clusterTrace3D(i, j-1, k);
                        if northIndex ~=0 & northIndex ~= clusterIndex
                            segmentedImage(i, j, k,:) = borderColor;
                        end;
                    end;
                    if k>1
                        westIndex = clusterTrace3D(i, j, k-1);
                        if westIndex ~=0 & westIndex ~= clusterIndex
                            segmentedImage(i, j, k,:) = borderColor;
                        end;
                    end;
                end;
            end; % if clusterIndex ~= 0
		end;
	end % for iCol
end % for iRow
		   
segmented3D = uint8(segmentedImage);

