function [dividedClusters, dividedTrace2D, dividedColors] = divideClusters(clusterCenters, clusterTrace2D, clusterColors)
%
% Usage:
%
% Divide each cluster into a set of connected components and relabel corresponding pixels

nbClusters = size(clusterColors, 1);
[nbRows, nbCols] = size(clusterTrace2D);
[rowCount, colCount] = ind2sub([nbRows, nbCols], 1:nbRows*nbCols);
rowCount = reshape(rowCount, nbRows, nbCols);
colCount = reshape(colCount, nbRows, nbCols);

count = 0;
dividedClusters = [];
dividedTrace2D = zeros(nbRows, nbCols);

for i = 1:nbClusters
%     disp(i);
	bw = logical(clusterTrace2D==i);
	[parts, nbParts] = bwlabel(bw);
	localCenter = clusterCenters(i,:);
	localColor = clusterColors(i,:);
	for j = 1:nbParts
	   count = count + 1;
	   onePart = (parts == j);
	   nbPartPix = sum(onePart(:));
	   partRows = rowCount(onePart); partCols = colCount(onePart);
	   centerRow = sum(partRows(:))/nbPartPix; centerCol = sum(partCols(:))/nbPartPix; % centroid
	   dividedClusters = [dividedClusters; [localCenter(1:3),centerRow, centerCol]];
	   dividedTrace2D(onePart) = count;
	   dividedColors(count,:) = localColor;
	end; % for j
end;












