function draw3DLinesFilter(nbFrames, nbRows, nbCols, lineList, colorList, thicknessList)
%
% Usage: draw3DLines(lineList, colorList)
%
% Inputs: a list of 3D lines and a list of 3D colors for wach point
% one line per row and one color per row
% with each row containing end points: x1 y1 z1 x2 y2 z2
% Output: a 3D figure showing the lines with their colors
%
xList1 = lineList(:,1)'; yList1 = lineList(:,2)'; zList1 = lineList(:,3)';
xList2 = lineList(:,4)'; yList2 = lineList(:,5)'; zList2 = lineList(:,6)';

% Create matrices of line coordinates with zero length so we get points
% for long lines it would be [xList1; xList2]
xx = [xList1; xList2]; yy = [yList1; yList2]; zz = [zList1; zList2]; 

figure;
myLines = plot3(xx, yy, zz);

axis([0, nbCols, -nbRows, 0, -nbFrames, 0]);
grid on;
view([30,60]);

for i = 1:length(myLines)
%    thickness = thicknessList(i)/2;
    thickness = thicknessList(i);
    if thickness < 2
        thickness = 2;
    end;
    set(myLines(i),'LineWidth',thickness); % make lines thicker
    if i == 1 | i == 3 | i == 4 | i == 5 | i == 6 | i == 7 | i == 8
	    set(myLines(i),'Color',[1,0,0]);
    else
	    set(myLines(i),'Color',colorList(i,:));
    end;
end;

