function draw3DPts(ptList, colorList)
%
% Usage: draw3DPts(ptList, colorList)
%
% Inputs: a list of 3D points and a list of 3D colors for wach point
% one point per row and one color per row
%
% Output: a 3D figure showing the points with their colors
%
xList = ptList(:,1)'; yList = ptList(:,2)'; zList = ptList(:,3)';

% Create matrices of line coordinates with zero length so we get points
% for long lines it would be [xList1; xList2]
xx = [xList; xList]; yy = [yList; yList]; zz = [zList; zList]; 

figure;
myPts = plot3(xx, yy, zz);

grid on;
axis([0, 1, 0,1, 0, 1])
set(myPts(:),'LineWidth',4); % make zero-length lines thicker
for i = 1:length(myPts)
	set(myPts(i),'Color',colorList(i,:));
end;

