function clusterColors = findAverageClusterColors(featureList, clusterTrace)
%
% Usage: clusterColors =  findAverageClusterColors(clusterCenters)
%
% Find colors of pixels contributing to clusters,
% average and attribute average color to these pixels
% and attribute that color to the cluster

nbClusters = max(clusterTrace);
clusterColors = zeros(nbClusters, 3);


luv = featureList(:,5:7);

for i = 1:nbClusters
    indices = find(clusterTrace == i);
    nbIndices = length(indices);
    pixelColors = luv(indices,:);
    sumColors = sum(double(pixelColors),1);
    averageColor = round(sumColors/nbIndices);
    clusterColors(i,:) = luv2rgbTriple(averageColor);
end;
   
