function clusterColors = findClusterColors3D(rgb3D, clusterTrace)
%
% Usage: clusterColors = findClusterColors3D(rgb3D, clusterTrace)
%
% Find average color of pixels contributing to each cluster
% and attribute that color to the cluster

nbClusters = max(clusterTrace);
clusterColors = zeros(nbClusters, 3);

redImage = rgb3D(:,:,:,1);
greenImage = rgb3D(:,:,:,2);
blueImage = rgb3D(:,:,:,3);

flatRGB = [redImage(:), greenImage(:), blueImage(:)];

for i = 1:nbClusters
    indices = find(clusterTrace == i);
    nbIndices = length(indices);
    colorsForCluster = flatRGB(indices,:);
    sumColors = sum(double(colorsForCluster),1);
    clusterColors(i,:) = round(sumColors/nbIndices);
end;
    
    
