function rgb = luv2rgbTriple(luv)

% Usage: rgb = luv2rgbTriple(luv)
% 
% Transforms an luv map to an rgb map for indexed color

RGB = [3.2405, -1.5371, -0.4985; -0.9693, 1.8760, 0.0416; 0.0556, -0.2040, 1.0573];
Yn = 1.0;
Un_prime = 0.1978;
Vn_prime = 0.4683;
Lt = 0.008856;

	if luv(1) < 0.1
		rgb(:) = 0.0;
	else
		if luv(1) < 8.0
			my_y = Yn * luv(1) / 903.3;
		else
			my_y = Yn * power((luv(1) + 16.0) / 116.0, 3);
		end; % if

		u_prime = luv(2) / (13 * luv(1)) + Un_prime;

		v_prime = luv(3) / (13 * luv(1)) + Vn_prime;
			
		my_x = 9 * u_prime * my_y / (4 * v_prime);

		my_z = (12 - 3 * u_prime - 20 * v_prime) * my_y / (4 * v_prime);

		my_xyz = [my_x, my_y, my_z];

		rgb0 = 255 * RGB * my_xyz';

		rgb = floor(rgb0');
		
		for j = 1:3
			if rgb(j) < 0
				rgb(j) = 0;
			elseif rgb(j)>255
				rgb(j) = 255;
			end
		end;
	end; % if


	
			

