function makePPMsFromBlock(parentDir, rootName, pixelBlock, startFrame, endFrame, scale)
%
% Usage: makePPMsFromBlock(parentDir, rootName, pixBlock, startFrame, endFrame)
%
% make a sequence of PPM frames from a block of rgb frames
%
% Input: pixelBlock, a 4D array. First dimension is number of frames. 
% Each frame is a 3D RGB image in uint8 format
[nbFrames, nbRows, nbCols, nbColors] = size(pixelBlock);

if nargin == 5
	scale = 1;
end
prefix = [parentDir, '/', rootName];

% Read each frame of pixel block and make a ppm file
for i= startFrame:endFrame
    disp(i);
    rgbImage = squeeze(pixelBlock(i,:,:,:));
    if scale ~= 1
    	rgbImage = imresize(rgbImage, scale, 'bilinear');
    end
    imageName = [prefix,'_', sprintf('%05d.ppm',i)];
    myPPMWrite(rgbImage, imageName);
end;
