function [newClusterTrace, usedIndex] = matchClusterCenters(prevClusterCenters, prevClusterTrace, clusterCenters, clusterTrace, chunkSize, usedIndex)
%
% Usage: [newClusterTrace, usedIndex] = matchClusterCenters(prevClusterCenters, prevClusterTrace, clusterCenters, clusterTrace, chunkSize, usedIndex)
%
% Match clusterCenters and prevClusterCenters and use same pixel labels for matching clusters
% Also make sure to use different labels for non-matching clusters
% usedIndex is the last index used, so that usedIndex+1 is available

[match, globalDist] = findHungarianSequenceDistance(prevClusterCenters, clusterCenters, chunkSize, chunkSize, ones(1,7));

for i = 1:length(clusterTrace)
    if clusterTrace(i) == 0
        usedIndex = usedIndex + 1;
        newClusterTrace(i) = useIndex;
    else
        clusterIndex = clusterTrace(i);
        newClusterIndex = match(clusterIndex); % index of cluster in prevClusterCenters that best match this clusterCenter
        if newClusterIndex == 0 % no match, use a new index
            usedIndex = usedIndex + 1;
            newClusterTrace(i) = useIndex;
        else
            newClusterTrace(i) = newClusterIndex;
        end
    end
end
        