function bestIndexList = pickBestClusters2D(clusterCenters, clusterTrace, minNbPix)

% Usage: bestIndexList = pickBestClusters2D(clusterCenters, minNbPix)
%
% keep only clusters with largest nb of pix
% This is used for segmenting single images

nbClusters = size(clusterCenters, 1);
nbPixList = zeros(nbClusters,1);

for i = 1:nbClusters
    nbPixList(i) = sum(clusterTrace == i);
end;

[Y,index] = sort(nbPixList);
reversedIndex =index([nbClusters:-1:1]);

sortedNbPixList = nbPixList(reversedIndex);
selectedList = sortedNbPixList(sortedNbPixList>=minNbPix);
nbBestSegments = length(selectedList);
bestIndexList = reversedIndex(1:nbBestSegments);

