function bestIndexList = pickBestClusters3D(clusterSegments, minNbPix)

% Usage: bestIndexList = pickBestClusters3D(clusterCenters,clusterSegments,minNbPix)
%
% keep only clusters with largest average nb of pix per row

nbPixList = cat(1,clusterSegments{:,1}); % concatenate a cell array into single matrix.
nbClusters = size(nbPixList, 1);

[Y,index] = sort(nbPixList);
reversedIndex =index([nbClusters:-1:1]);

sortedNbPixList = nbPixList(reversedIndex);
selectedList = sortedNbPixList(sortedNbPixList>=minNbPix);
nbBestSegments = length(selectedList);
bestIndexList = reversedIndex(1:nbBestSegments);

