function bestIndexList = pickBestClusters3D(clusterCenters, clusterSegments, minNbPix)

% Usage: bestIndexList = pickBestClusters3D(clusterCenters,clusterSegments,minNbPix)
%
% keep only clusters with largest average nb of pix per row

nbClusters = size(clusterCenters, 1);
nbPixList = cat(1,clusterSegments{:,1}); % concatenate a cell array into single matrix.

[Y,index] = sort(nbPixList);
reversedIndex =index([nbClusters:-1:1]);

sortedNbPixList = nbPixList(reversedIndex);
selectedList = sortedNbPixList(sortedNbPixList>=minNbPix);
nbBestSegments = length(selectedList);
bestIndexList = reversedIndex(1:nbBestSegments);

