function segmented3D = segmentColorsFromClusters3D(clusterColors, clusterTrace3D)
%
% Usage: segmented3D = segmentColorsFromClusters3D(clusterTrace3D, clusters)

% Build a frame stack where pixel colors are colors of clusters to which pixels have drifted
%
%=======================================================================================

[nbFrames, nbRows, nbCols] = size(clusterTrace3D);
segmentedImage = zeros(nbFrames, nbRows, nbCols,  3);

nbClusters = max(clusterTrace3D(:));

for clusterIndex = 1:nbClusters
    colorTriple = clusterColors(clusterIndex,:);
    for i = 1:nbFrames
        localTrace = clusterTrace3D(i,:,:);
        localMask = (localTrace == clusterIndex);
        r = segmentedImage(i,:,:,1); g = segmentedImage(i,:,:,2); b = segmentedImage(i,:,:,3); 
        r(localMask) = colorTriple(1); g(localMask) = colorTriple(2); b(localMask) = colorTriple(3);
        segmentedImage(i,:,:,1) = r; segmentedImage(i,:,:,2) = g; segmentedImage(i,:,:,3) = b;        
    end; % for nbFrames
end % for nbClusters
		   
segmented3D = uint8(segmentedImage);

