function segmentedImage = segmentImageFromClusters(clusterTrace2D, clusterColors)
%
% Usage: segmentedImage = segmentImageFromClusters(clusterTrace2D, clusterColors)

% Segment image using clusterTrace
%
%=======================================================================================


[nbRows, nbCols] = size(clusterTrace2D);
nbClusters = max(clusterTrace2D(:));
segmentedImage = zeros(nbRows, nbCols, 3);

for i = 1:nbClusters
    localMask = (clusterTrace2D == i);
    localR = segmentedImage(:,:,1); localG = segmentedImage(:,:,2); localB = segmentedImage(:,:,3); % read colors already there
    localR(localMask) = clusterColors(i,1); % add colors for cluster i
    localG(localMask) = clusterColors(i,2); 
    localB(localMask) = clusterColors(i,3);
    segmentedImage(:,:,1) = localR; segmentedImage(:,:,2) = localG; segmentedImage(:,:,3) = localB;
end;

segmentedImage = uint8(segmentedImage);