function borderImage = segmentImageFromClusters2(clusterTrace2D, clusterColors, drawBorders)
%
% Usage: borderImage = segmentImageFromClusters2(clusterTrace2D, clusterColors, drawBorders)

%=======================================================================================

[nbRows, nbCols] = size(clusterTrace2D);
borderImage = zeros(nbRows, nbCols, 3);
borderColor = [256, 256, 256]; % white border

for i = 1:nbRows
	for j = 1:nbCols
		clusterIndex = clusterTrace2D(i, j);
			if clusterIndex ~= 0
   			borderImage(i, j,:) = clusterColors(clusterIndex,:);
           if drawBorders & i>1
                northIndex = clusterTrace2D(i-1, j);
                if northIndex ~=0 & northIndex ~= clusterIndex
                    borderImage(i, j,:) = borderColor;
                end;
            end;
            if drawBorders & j>1
                westIndex = clusterTrace2D(i, j-1);
                if westIndex ~=0 & westIndex ~= clusterIndex
                    borderImage(i, j,:) = borderColor;
                end;
            end;
        end; % if clusterIndex ~= 0
    end % for iCol
end % for iRow
		   
borderImage = uint8(borderImage);
