function [angleX, angleY] = segmentMotionsFromClusters(clusters, clusterMotionsX, clusterMotionsY, clusterTrace3D, drawBorders)
%
% Usage: [angleX, angleY] = segmentMotionsFromClusters(clusters, culsterMotionsX, clusterMotionsY, clusterTrace3D)

% Build a frame stack where pixel angles are angles of clusters to which pixels have drifted
%
%=======================================================================================

[nbFrames, nbRows, nbCols] = size(clusterTrace3D);
angleX = zeros(nbFrames, nbRows, nbCols);
angleY = zeros(nbFrames, nbRows, nbCols);
nbFeatures = size(clusters,2);

borderColor = 256; % white border

for i = 1:nbFrames
	for j = 1:nbRows
		for k = 1:nbCols
			clusterIndex = clusterTrace3D(i, j, k);
  			if clusterIndex ~= 0
	   			angleX(i, j, k) = clusterMotionsX(clusterIndex);
 	   			angleY(i, j, k) = clusterMotionsY(clusterIndex);
               if drawBorders & j>1
                    northIndex = clusterTrace3D(i, j-1, k);
                    if northIndex ~=0 & northIndex ~= clusterIndex
                        angleX(i, j, k) = borderColor;
                        angleY(i, j, k) = borderColor;
                    end;
                end;
                if drawBorders & k>1
                    westIndex = clusterTrace3D(i, j, k-1);
                    if westIndex ~=0 & westIndex ~= clusterIndex
                        angleX(i, j, k) = borderColor;
                        angleY(i, j, k) = borderColor;
                    end;
                end;
            end; % if clusterIndex ~= 0
        end;
    end % for iCol
end % for iRow
		   
angleX = uint8(angleX);
angleY = uint8(angleY);

