function [segmented3D, angleX, projX] = segmentShotsFromMotion(clusters, clusterColors, clusterTrace3D)
%
% Usage: [segmented3D, angle3D] = segmentShotsFromClusters3D(clusterTrace3D, clusters)

% Build a frame stack where pixel colors are colors of clusters to which pixels have drifted
% and construct a 3D image where pixel values are angles of clusters 
%
%=======================================================================================

[nbFrames, nbRows, nbCols] = size(clusterTrace3D);
segmentedImage = zeros(nbFrames, nbRows, nbCols,  3);
angleX = zeros(nbFrames, nbRows, nbCols);
angleY = zeros(nbFrames, nbRows, nbCols);
nbFeatures = size(clusters,2);

for i = 1:nbFrames
	for j = 1:nbRows
		for k = 1:nbCols
			clusterIndex = clusterTrace3D(i, j, k);
			if clusterIndex ~= 0
	   			segmentedImage(i, j, k,:) = clusterColors(clusterIndex,:);
	   			angleX(i, j, k) = clusters(clusterIndex, 1); % best angleX
%	   			angleY(i, j, k) = clusters(clusterIndex, 2); % best angleY
 	   			projX(i, j, k) = clusters(clusterIndex, 2); % best projX
%	   			projY(i, j, k) = clusters(clusterIndex, 4); % best projY
			end; % if
		end;
	end % for iCol
end % for iRow
		   
segmented3D = uint8(segmentedImage);
angleX = uint8(angleX);
angleY = uint8(angleY);

