function singleSegment = segmentSingleCluster(rgb3D, clusterTrace3D, clusterIndex)
%
% Usage: singleSegment = segmentSingleCluster(rgb3D, clusterTrace3D, clusterIndex)

% Show the part of image stack corresponding to single cluster
%
%=======================================================================================


% rgb3D(clusterTrace3D ~= clusterIndex) = [0,0,0];
% singleSegment = rgb3D;
[nbFrames, nbRows, nbCols] = size(clusterTrace3D);

r = rgb3D(:,:,:,1);
g = rgb3D(:,:,:,2);
b = rgb3D(:,:,:,3);

for i = 1:nbFrames
    localTrace = clusterTrace3D(i,:,:);
    localMask = (localTrace ~= clusterIndex);
    localR = r(i,:,:); localG = g(i,:,:); localB = b(i,:,:);
    localR(localMask) = 0; localG(localMask) = 0; localB(localMask) = 0;
    singleSegment(i,:,:,1) = localR; singleSegment(i,:,:,2) = localG; singleSegment(i,:,:,3) = localB;
end;

if 0 % slower method
	singleSegment = zeros(size(rgb3D));
	for i = 1:nbFrames
		for j = 1:nbRows
			for k = 1:nbCols
				localIndex = clusterTrace3D(i, j, k);
      			if  localIndex == clusterIndex
		   			singleSegment(i, j, k, :) = rgb3D(i, j, k, :);
                end; % if 
            end;
        end;
	end;
end

singleSegment = uint8(singleSegment);