function [bestClusters, bestTrace] = selectBestClusters(clusters, trace, nbFrames, minNbPix)

% Usage: [bestClusters, bestTrace] = selectBestClusters(clusters, trace, nbFrames, minNbPix)
%
% keep only clusters with largest average nb of pix per row

weights = findWeights(trace);
[sortedWeights, mappedIndices] = sort(-weights);
sortedWeights = - sortedWeights/nbFrames;
sortedClusters = clusters(mappedIndices,:);

bestWeights = sortedWeights(sortedWeights>=minNbPix);
nbBestClusters = length(bestWeights);
bestClusters = sortedClusters(1:nbBestClusters,:);
bestClusters = [bestClusters, bestWeights];

bestIndices = mappedIndices(1:nbBestClusters);

disp('Compute best trace');

if 1
    localTrace = zeros(size(clusters,1),1);
    localTrace(bestIndices) = [1:nbBestClusters];
    bestTrace = mergeTraces(trace, localTrace);
else
	bestTrace = zeros(size(trace));
	
	for i = 1:nbBestClusters
        label = bestIndices(i); % find the old labels of surviving clusters
        goodIndices = find(trace == label); % find pixels where trace pointed to surviving clusters
%       bestTrace(goodIndices) = label; % keep those parts of the trace
        bestTrace(goodIndices) = i; % but give them the new cluster label, not the old one
	end	
end
