function x = showFewSegCols(segmented3D, nbPics)
% Usage: x = showFewSegCols(segmented3D, nbPics)

nbDims = length(size(segmented3D));
isColor = (nbDims == 4);

nbCols = size(segmented3D, 3);
indexList = getFrameIndices(nbCols, nbPics);
actualNbPics = length(indexList);

nbPicRows = ceil(sqrt(actualNbPics)); % at least 1
nbPicCols = ceil(actualNbPics/nbPicRows);
figure, subplot(nbPicRows, nbPicCols, 1); 

index1 = indexList(1);   
if isColor
% 	imagesc(squeeze(segmented3D(:,:,index1,:)));
	imshow(squeeze(segmented3D(:,:,index1,:)));
else
    [nbFrames, nbRows, nbCols] = size(segmented3D);
    imag = squeeze(segmented3D(:,:,index1));
    imag(nbFrames,1) = 0; % set min & max pixels to guarantee consistent color range
    imag(nbFrames,nbRows) = 180;    
	imagesc(imag), colorbar, colormap(hot);
end; % if
hold on;

for i = 2:length(indexList)
	index = indexList(i);
	subplot(nbPicRows, 4, i);
	if isColor
% 		imagesc(squeeze(segmented3D(:,:,index,:)));
		imshow(squeeze(segmented3D(:,:,index,:)));
	else
        imag = squeeze(segmented3D(:,:,index));
        imag(nbFrames,1) = 0;
        imag(nbFrames,nbRows) = 180;    
		imagesc(imag), colorbar, colormap(hot);
	end; % if
	hold on;
end; % for

hold off;

