function x = showFewSegFrames(segmented3D, nbPics)
% Usage: x = showFewSegFrames(segmented3D, nbPics)

nbDims = length(size(segmented3D));
isColor = (nbDims == 4); % display either B % W or color images
nbFrames = size(segmented3D, 1);

indexList = getFrameIndices(nbFrames, nbPics)
actualNbPics = length(indexList);

nbPicRows = ceil(sqrt(actualNbPics)); % at least 1
nbPicCols = ceil(actualNbPics/nbPicRows);
figure, subplot(nbPicRows, nbPicCols, 1); 

index1 = indexList(1);

if isColor
%     imagesc(squeeze(segmented3D(index1,:,:,:)));
    imshow(squeeze(segmented3D(index1,:,:,:)));
else
    [nbFrames, nbRows, nbCols] = size(segmented3D);
    imag = squeeze(segmented3D(index1,:,:));
    imag(nbRows,1) = 0;
    imag(nbRows,nbCols) = 180; % set min & max pixels to guarantee constant color range   
    imagesc(imag), colorbar, colormap(hot);
end; % if
hold on;
       
for i = 2:actualNbPics
	index = indexList(i);
	subplot(nbPicRows, nbPicCols, i);
	if isColor
% 		imagesc(squeeze(segmented3D(index,:,:,:)));
		imshow(squeeze(segmented3D(index,:,:,:)));
	else
        imag = squeeze(segmented3D(index,:,:));
        imag(nbRows,1) = 0;
        imag(nbRows,nbCols) = 180;    
		imagesc(imag), colorbar, colormap(hot);
	end;
	hold on;
end; % for
hold off;

