function x = showFewSegRows(segmented3D, nbPics)
% Usage: x = showFewSegRows(segmented3D, nbPicts)

nbDims = length(size(segmented3D));
isColor = (nbDims == 4);

nbRows = size(segmented3D, 2);
indexList = getFrameIndices(nbRows, nbPics);
actualNbPics = length(indexList);

nbPicRows = ceil(sqrt(actualNbPics)); % at least 1
nbPicCols = ceil(actualNbPics/nbPicRows);
figure, subplot(nbPicRows, nbPicCols, 1); 

index1 = indexList(1);   
if isColor
% 	imagesc(squeeze(segmented3D(:,index1,:,:)));
	imshow(squeeze(segmented3D(:,index1,:,:)));
else
    [nbFrames, nbRows, nbCols] = size(segmented3D);
    imag = squeeze(segmented3D(:,index1,:));
    imag(nbFrames,1) = 0; % set min & max pixels to guarantee consistent color range
    imag(nbFrames,nbCols) = 180;    
	imagesc(imag), colorbar, colormap(hot);
end;
hold on;

for i = 2:length(indexList)
	index = indexList(i);
	subplot(nbPicRows, nbPicCols, i);
	if isColor
% 		imagesc(squeeze(segmented3D(:,index,:,:)));
		imshow(squeeze(segmented3D(:,index,:,:)));
	else
        imag = squeeze(segmented3D(:,index,:));
        imag(nbFrames,1) = 0;
        imag(nbFrames,nbCols) = 180;    
		imagesc(imag), colorbar, colormap(hot);
	end; % if
	hold on;
end; % for
hold off;
