function coloredPixBlock = colorEachLabel3(labelBlock, palette)
%
% Usage: coloredPixBlock = colorEachLabel2(labelBlock, palette)
% From a 3D block of labels, output a block of RGB pixels using artificial color
%
if nargin == 1
%     palette = 'jet';
    palette = 'colorcube';
end;

black = [0, 0, 0]; % we color in black the regions with label zero
[nbFrames, nbRows, nbCols] = size(labelBlock);

coloredPixBlock = zeros(nbFrames, nbRows, nbCols, 3);
if 0
    rgbLabels = label2rgb(labelBlock(:), palette, 'k', 'shuffle'); % use a 1D version of labelBlock
else
    labels = 1 + max(labelBlock(:)) - labelBlock(:);
    labels = uint8(labels);
%     rgbLabels = label2rgb(labels, palette, black); % use a 1D version of labelBlock
    rgbLabels = label2rgb(labels(:), palette, black, 'shuffle'); % use a 1D version of labelBlock
end;

for k = 1:3
  coloredPixBlock(:,:,:,k) =   reshape(rgbLabels(:,k), nbFrames, nbRows, nbCols);
end;

coloredPixBlock = uint8(coloredPixBlock);