function coloredPixBlock = colorEachLabelBySize(nbFrames, nbRows, nbCols, clusterTrace, clusterSegments)
%
% Usage: coloredPixBlock = colorEachLabelBySize(labelBlock)
% From a 3D block of labels, output a block of RGB pixels using artificial color
%

palette = 'jet';
    
bestIndexList = pickBestClusters3D(clusterSegments, 30); % list of cluster indices from larger to smaller
nbClusters = max(clusterTrace);
clusterTraceBest = zeros(nbClusters,1);
clusterTraceBest(bestIndexList) = [1:length(bestIndexList)];
bestClusterTrace = mergeTraces(clusterTrace, clusterTraceBest);
labelBlock = reshape(bestClusterTrace, nbFrames, nbRows, nbCols);

coloredPixBlock = zeros(nbFrames, nbRows, nbCols, 3);

rgbLabels = label2rgb(labelBlock(:), palette); % use a 1D version of labelBlock

for k = 1:3
  coloredPixBlock(:,:,:,k) =   reshape(rgbLabels(:,k), nbFrames, nbRows, nbCols);
end;

if 0
	for i = 1:nbFrames
        labels = squeeze(labelBlock(i,:,:));
        rgbLabels = label2rgb(labels, palette);
        coloredPixBlock(i,:,:,:) = rgbLabels;
	end;
end;

coloredPixBlock = uint8(coloredPixBlock);