function segmented3D = colorsFromClusters3D(clusterColors, clusterTrace3D)
%
% Usage: segmented3D, = colorsFromClusters3D(clusterColors, clusterTrace3D)

% Build a frame stack where pixel colors are colors of clusters to which pixels have drifted
%
%=======================================================================================

[nbFrames, nbRows, nbCols] = size(clusterTrace3D);
segmentedImage = zeros(nbFrames, nbRows, nbCols,  3);

borderColor = [256,0,0]; % red border between regions
% borderColor = [256,256,256]; % white border between regions

for i = 1:nbFrames
	for j = 1:nbRows
		for k = 1:nbCols
			clusterIndex = clusterTrace3D(i, j, k);
  			if clusterIndex ~= 0
	   			segmentedImage(i, j, k,:) = clusterColors(clusterIndex,:);
                if j>1
                    northIndex = clusterTrace3D(i, j-1, k);
                    if northIndex ~=0 & northIndex ~= clusterIndex
                        segmentedImage(i, j, k,:) = borderColor;
                    end;
                end;
                if k>1
                    westIndex = clusterTrace3D(i, j, k-1);
                    if westIndex ~=0 & westIndex ~= clusterIndex
                        segmentedImage(i, j, k,:) = borderColor;
                    end;
                end;
            end; % if clusterIndex ~= 0
		end;
	end % for iCol
end % for iRow
		   
segmented3D = uint8(segmentedImage);

