function x = showSegColSlices(segmented3D, nbSlices)
% Usage: x = showSegColSlices(segmented3D, nbSlices)

nbDims = length(size(segmented3D));
colorBlock = (nbDims == 4);

nbCols = size(segmented3D, 3);
step = floor(nbCols/nbSlices);

nbPicRows = round(nbSlices/4);

figure, subplot(nbPicRows, 4, 1);
if colorBlock
	imagesc(squeeze(segmented3D(:,:,1,:)));
else
    [nbFrames, nbRows, nbCols] = size(segmented3D);
    imag = squeeze(segmented3D(:,:,1));
    imag(nbFrames,1) = 0;
    imag(nbFrames,nbRows) = 180;    
	imagesc(imag), colorbar, colormap(hot);
end; % if
hold on;

iLine = 1;
for i = 2:nbSlices
	subplot(nbPicRows, 4, i);
	iLine = iLine + step;
	if colorBlock
		imagesc(squeeze(segmented3D(:,:,iLine,:)));
	else
        imag = squeeze(segmented3D(:,:,iLine));
        imag(nbFrames,1) = 0;
        imag(nbFrames,nbRows) = 180;    
		imagesc(imag), colorbar, colormap(hot);
	end; % if
	hold on;
end; % for

hold off;

