function x = showSegFrames(segmented3D)
% Usage: x = showSegFrames(segmented3D)

nbDims = length(size(segmented3D));
colorBlock = (nbDims == 4);

nbFrames = size(segmented3D, 1);

nbPicRows = ceil(nbFrames/4);

figure, subplot(nbPicRows, 4, 1); 
if colorBlock
    imagesc(squeeze(segmented3D(1,:,:,:)));
else
    [nbFrames, nbRows, nbCols] = size(segmented3D);
    imag = squeeze(segmented3D(1,:,:));
    imag(nbRows,1) = 0;
    imag(nbRows,nbCols) = 180;    
	imagesc(imag), colorbar, colormap(hot);
end; % if
hold on;
       
for i = 2:nbFrames
	subplot(nbPicRows, 4, i);
	if colorBlock
		imagesc(squeeze(segmented3D(i,:,:,:)));
	else
        imag = squeeze(segmented3D(i,:,:));
        imag(nbRows,1) = 0;
        imag(nbRows,nbCols) = 180;    
		imagesc(imag), colorbar, colormap(hot);
	end;
	hold on;
end; % for
hold off;

