function [distX, distY] = findMotionDist(angleMapX, angleMapY, iRow, iCol, iFrame, nbRows, nbCols, nbFrames)

% dfd, March 9, 2002
% Find motion distance for pixel (iRow, iCol) with motion having angleMapX and angleMapY
%

   radiantX = double(angleMapX) * pi/180;
   edgeCosX = cos(radiantX);
   edgeSinX = sin(radiantX); % we consider the vector perpendicular to (cos, sin)
   distX = edgeSinX*(iCol-nbCols/2) - edgeCosX*(iFrame-nbFrames/2);
   
   radiantY = double(angleMapY) * pi/180;
   edgeCosY = cos(radiantY);
   edgeSinY = sin(radiantY); % we consider the vector perpendicular to (cos, sin)
   distY = edgeSinY*(iRow-nbRows/2) - edgeCosY*(iFrame-nbFrames/2);
   
   
