function [r, g] = getRGImages3D(rgb3D);

% Usage: [r,g, illum] = getRGImages3D(rgb3D);

% Output 2 images R', G' using an uint8 stack of color images

[nbFrames, nbRows, nbCols] = size(rgb3D(:,:,:,1));

r = zeros(nbFrames, nbRows, nbCols);
g = zeros(nbFrames, nbRows, nbCols);

illumination = sum(double(rgb3D),4); % r + g + b, between 0 and 3*255
r(:,:,:) = double(rgb3D(:,:,:,1));
r = r ./ illumination; % between 0 and 1
g(:,:,:) = double(rgb3D(:,:,:,2));
g = g ./ illumination; % between 0 and 1

r = uint8(round(255 * r));
g = uint8(round(255 * g));
