function [projMapX, projMapY] = makeProjMaps2(angleMapX, angleMapY)

% Usage: [projMapX, projMapY] = makeProjMaps2(angleMapX, angleMapY)
% Find images of projection distances
% In this version we ignore vDefined, computing projMapX and projMapY everywhere
% There are no divisions by zero if vDefined is zero, as then angles are set to zero
% It is up to the customer of this function to mask out bad values using vDefined

[nbFrames, nbRows, nbCols] = size(angleMapX);
projMapX = zeros(nbFrames, nbRows, nbCols);
projMapY = zeros(nbFrames, nbRows, nbCols);

[iFrameBlock, iRowBlock, iColBlock] = makeCountBlocks(nbFrames, nbRows, nbCols)zeros(nbFrames, nbRows, nbCols);

radiantX = double(angleMapX) * pi/180;
edgeCosX = cos(radiantX);
edgeSinX = sin(radiantX);
projMapX = edgeSinX .* (iColBlock-nbCols/2) - edgeCosX .* (iFrameBlock-nbFrames/2);

radiantY= double(angleMapY) * pi/180;
edgeCosY = cos(radiantY);
edgeSinY = sin(radiantY); % we consider the vector perpendicular to (cos, sin)
projMapY = edgeSinY .* (iRowBlock-nbRows/2) - edgeCosY .* (iFrameBlock-nbFrames/2);
