function m = nonZeroMedian(image)

% Usage: m = nonZeroMedian(image)
%
% Find median of non-zero pixels.
%
% Useful for averaging angles in angleMap, 
% in which the zeros are for pixels where angles are not found
% We replace pixels by the medians of the non-zero values 

   pixMask = image>0;
   nbNonZeroPixels = sum(pixMask(:));

   if nbNonZeroPixels == 0
      m = 0;
   else
      nonZeroValues = image(find(pixMask));
      m = median(nonZeroValues(:)); % round main image before using
   end;
