function quantizedRGB = quantizeRGB(rgb3D,nbLevels)
%
% Usage: quantizedRGB3D = quantizeRGB(rgb3D)
%
[nbFrames, nbRows, nbCols, nbColorComp] = size(rgb3D);
nbPix = nbFrames * nbRows * nbCols;

largeImage = zeros(nbPix,1,3);
% 1. Make large RGB image
for i = 1:3
	largeImage(:,1,i) = reshape(rgb3D(:,:,:,i), nbPix,1);
end; % for

[indexedImage, map] = rgb2ind(double(largeImage)/255, nbLevels);
quantizedImage = ind2rgb(indexedImage, map);

for i = 1:3
	quantizedRGB(:,:,:,i) = uint8(255*reshape(quantizedImage(:,1,i), nbFrames, nbRows, nbCols));
end; % for
