function [rgb3D, mask3D] = readImageAndMask(rootName, initFrame, endFrame, top, right, bottom, left)

% Usage: rgb3D = readRGBImage3D(rootName, nbFrames)
% rootName: '/fs/lamp/Projects/VACE/VACEData/LAMPSequences/Seq13/Segment/Seq13_'

nbFrames = endFrame - initFrame + 1;
nbRows = bottom - top + 1;
nbCols = right - left + 1;
rgb3D = uint8(zeros(nbFrames, nbRows, nbCols, 3));
mask3D = uint8(zeros(nbFrames, nbRows, nbCols));
iCount = 0;

for i = initFrame:endFrame
    iCount = iCount + 1;
	disp(i);
	imageName = [rootName, sprintf('%04d.sil.ppm',i)];
	maskName = [rootName, sprintf('%04d.bin.pgm',i)];
	rgbImage = myPPMRead(imageName);
	maskImage = pgmread(maskName);
	rgb3D(iCount,:,:,:) = uint8(double(rgbImage(top:bottom,left:right,:)) + 1); % prevent zero values
	mask3D(iCount,:,:) = maskImage(top:bottom,left:right);
end;

mask3D = (mask3D>0);
