function [startIndex, endIndex, done] = readMpegChunks(firstFrame, lastFrame, chunkCount, chunkSize, extraFrames)
%
% Usage: 
%
% We need to process small sequences in large mpeg sequence
% We read extra files that are used by the optical flow calculation but are then discarded
% because filtering of beginning and end frames is not possible
% Find start and end indices of frames for each chunk
% Example of input [startIndex, endIndex, done] =  readMpegChunks(nbFrames, chunkCount, chunkSize, extraFrames)

firstUsableFrame = firstFrame + extraFrames + chunkSize * (chunkCount - 1);
lastUsableFrame = firstUsableFrame + (chunkSize - 1);

startIndex = firstUsableFrame - extraFrames; % = firstFrame if chunkCount == 1   
endIndex = lastUsableFrame + extraFrames;
done = (endIndex >= lastFrame);

if endIndex > lastFrame
   endIndex = lastFrame;
end;



