function rgb3D = readSeq13Images(rootName, initFrame, endFrame, top, right, bottom, left)

% Usage: rgb3D = readSeq13Images(rootName, nbFrames)
% rootName: '/fs/lamp/Projects/VACE/VACEData/LAMPSequences/Seq13/Input/Seq13_'

nbFrames = endFrame - initFrame + 1;
nbRows = bottom - top + 1;
nbCols = right - left + 1;
rgb3D = uint8(zeros(nbFrames, nbRows, nbCols, 3));
mask3D = uint8(zeros(nbFrames, nbRows, nbCols));
iCount = 0;

for i = initFrame:endFrame
    iCount = iCount + 1;
	disp(i);
	imageName = [rootName, sprintf('%04d.sil.ppm',i)];
	rgbImage = myPPMRead(imageName);
	rgb3D(iCount,:,:,:) = uint8(double(rgbImage(top:bottom,left:right,:)) + 1); % prevent zero values
end;
