function [normal,isConverged] = reduceSingVal(a, initNormal, maxSingVal)
%
% Usage: normal = reduceSingVal(a, initNormal, maxSingVal)
%
% Reduce third singular value by giving less weight to outliers
% through deterministic annealing
% This is used in optical flow in regions with conflicting gradients
% 
nbPts = size(a,1);
beta0 = 0.01;
maxCount = 100;

% betaUpdate = 1.075; 
betaUpdate = 1.15; 
converged = 0;
beta = beta0;
count = 0;
isConverged = 1;

normal = initNormal;

while 1 
	count = count + 1;
% 	disp(count);
	dotList = a * normal;
    mi = exp(-beta * dotList .*  dotList);
	sumMi = sum(mi);
	mi = mi/sumMi;
    miMat = mi * ones(1,3); % replicate along rows
	weightedA = miMat .* a;
	[u,s,v] = svd(weightedA, 0);
	normal = v(:,3); % normal being returned
    singVal3 = s(3,3);
    newMaxSingVal = maxSingVal/sumMi;
    if singVal3< newMaxSingVal
        break;
    end
    if count >= maxCount
        isConverged = 0;
        break;
    end

    beta = betaUpdate * beta;
end;

% if count>2
%     disp(count);
% end
