function [newRGB3D, newGrey3D, newMask3D] = trimStacks2(rgb3D, grey3D, mask3D, nbFrames, nbRows, nbCols)
%
% Usage: [newRGB3D, newGrey3D] = trimStacks(rgb3D, grey3D, angleMapX)
%
% Trim grey3D and rgb3D to match angleMaps

[oldNF, oldNR, oldNC] = size(grey3D);
diff = [oldNF-nbFrames, oldNR-nbRows, oldNC-nbCols];
halfDiff = round(diff/2);
firstPix = halfDiff + 1;
lastPix = halfDiff + [nbFrames, nbRows, nbCols];
newGrey3D = grey3D(firstPix(1):lastPix(1), firstPix(2):lastPix(2), firstPix(3):lastPix(3)); 
newMask3D = mask3D(firstPix(1):lastPix(1), firstPix(2):lastPix(2), firstPix(3):lastPix(3)); 
newRGB3D = rgb3D(firstPix(1):lastPix(1), firstPix(2):lastPix(2), firstPix(3):lastPix(3),:);
