function [L,u,v] = getLuvImages3D(rgb3D)

% Usage: [L, u, v] = getRGImages3D(rgb3D);

% Output 3 image stacks L, u, v using an uint8 stack of RGB color images

[nbFrames, nbRows, nbCols] = size(rgb3D(:,:,:,1));

luv3D = zeros(nbFrames, nbRows, nbCols, 3);

for i = 1:nbFrames
  disp(i);
  image = squeeze(rgb3D(i,:,:,:));
%   luv3D(i,:,:,:) = rgb2luv2(image);
  luv3D(i,:,:,:) = rgb2luv3(image);
end;  

L = round(luv3D(:,:,:,1));
u = round(luv3D(:,:,:,2));
v = round(luv3D(:,:,:,3));
