function [frameCountBlock, rowCountBlock, colCountBlock] = makeCountBlocks(nbFrames, nbRows, nbCols)
%
% Make blocks in which frames, rows and cols are counted respectively
%
if 0

frameCountBlock = zeros(nbFrames, nbRows, nbCols);
for i = 1:nbFrames
    frameCountBlock(i,:,:) = i;
end;
rowCountBlock = zeros(nbFrames, nbRows, nbCols);
for i = 1:nbRows
    rowCountBlock(:,i,:) = i;
end;
colCountBlock = zeros(nbFrames, nbRows, nbCols);
for i = 1:nbCols
    colCountBlock(:,:,i) = i;
end;

else

tVect = zeros(nbFrames,1,1);
tVect(:,1,1) = [1:nbFrames];
frameCountBlock = repmat(tVect, [1, nbRows, nbCols]);
yVect = zeros(1,nbRows,1);
yVect(1,:,1) = [1:nbRows];
rowCountBlock = repmat(yVect, [nbFrames, 1, nbCols]);
xVect = zeros(1,1,nbCols);
xVect(1,1,:) = [1:nbCols];
colCountBlock = repmat(xVect, [nbFrames, nbRows, 1]);

end
