function closeVectIndexList = findCloseVects(weightedFeatures, weightedTrace, clusterCenters, treeData)
%
% Usage: closeVectIndexList = findCloseVects(weightedFeatures, weightedTrace, clusterCenters, treeData)
%
% Find indices of points in the initial vector list (weightedFeatures) that are closest to found cluster centers
% We use treeData, the tree structure that was computed for weightedFeatures
% and weightedTrace, that maps original featureList to weightedFeatures
% weightedFeatures are the original features in which duplicates have been merged, 
% so their colors are about identical to those of the original features

disp('Nearest neighbor search');

[neighborIndices, distances] = nn_search(weightedFeatures, treeData, clusterCenters, 1);


nbIndices = length(neighborIndices);

for i = 1:nbIndices
    closeIndex = neighborIndices(i);
    originalIndices = find(weightedTrace == closeIndex); % indices for original pixels of frame stack
    closeVectIndexList(i) = originalIndices(1); % take the first one; they are all equivalent
end;
