function featureList = inverseMapFeatures(normalizedFeatures, ranges, importances)
%
% Usage: [[featureList] = inverseMapFeatures(normalizedFeatures, ranges, importances)
% inverse map from [0-1] range to original values
%
[nbPts, nbFeatures] = size(normalizedFeatures);
featureList = normalizedFeatures;
lo = 1; hi = 2;

for i = 1:nbFeatures
    compMin = ranges(i,lo);
    compMax = ranges(i,hi);
    delta = compMax - compMin;
	if delta ~= 0
	    featureList(:,i) = (delta/importances(i)) * normalizedFeatures(:,i) + compMin;
	else
	   featureList(:,i) = compMax * normalizedFeatures(:,i);
	end;
end;
