function [nonZeroFeatureList, trace] = keepNonZeroFeatures(featureList, dataFlags)
%
% Usage: [nonZeroFeatureList, trace, dataFlags] = keepNonZeroFeatures(featureList, dataFlags)
%
% dataFlags show which features are nonzero
% Compute a mapping between indices of all pixels and 
% indices in list of pixels that have dataFlags set to 1
% In the mapping, pixels with a dataFlag of zero get a mapping index of zero

nbFeatureVects = size(featureList,1);
nonZeroIndices = find(dataFlags);

nonZeroFeatureList = featureList(nonZeroIndices,:);

trace = zeros(nbFeatureVects,1); % trace for all pixels; trace is zero for non-flagged pixels
nbNonZeros = length(nonZeroIndices);

trace(nonZeroIndices) = [1:nbNonZeros];


