function [bestClusters2, bestTrace2] = reassignLabels(bestClusters, bestTrace)
% Labels coming out of keepOldestRegions are not contiguous
% Relabel so that they are contiguous

bestTrace2 = bestTrace;

maxLabel = max(bestTrace);
labelMapping = zeros(maxLabel);
availableLabel = 0;
bestClusters2 = [];

for i = 1:length(bestTrace)
    label = bestTrace(i);
    if label ~= 0
        newLabel = labelMapping(label);
        if newLabel == 0 % was not reassigned yet
            availableLabel = availableLabel + 1;
            bestClusters2 = [bestClusters2; bestClusters(label,:)];
            labelMapping(label) = availableLabel;
            bestTrace2(i) = availableLabel;
        else
            bestTrace2(i) = newLabel;
        end
    end
end

