% Script for generating sequences of images required by space-time seg
% and storing them in the same directory than original sequences
% with different names

parentDir = '/fs/lamp/Projects/SpaceTimeSeg/sflowgFolder';
rootName = 'sflowg';
fullRootName = [parentDir, '/', rootName];
inputFormat = 'tiff';
scaledRootName =  [fullRootName, '_scaled'];
xMotionRootName =  [fullRootName, '_vx'];
yMotionRootName =  [fullRootName, '_vy'];
vDefinedRootName =  [fullRootName, '_vDef'];
initFrame = 0;
endFrame = 40;
scale = 0.25;
frameSpan = 6; % extra frames needed because of filtering in motion

% 1. Generate smaller bmp images

for i = initFrame:endFrame
        disp(i);
        inputImageName = [fullRootName, '.', num2str(i), '.', inputFormat];
%        outputImageName1 = [fullInputRootName, sprintf('%05d.bmp',i)];
%        command = ['convert ', inputImageName, ' ', outputImageName1];
%        unix(command);
        rgbImage = imread(inputImageName, inputFormat);
        if i == initFrame
           [height,width,nbColors] = size(rgbImage);
           newHeight = height*scale;
           newWidth = width*scale;
           smallRGBImage = uint8(zeros(newHeight, newWidth, 3));
        end;
        for j = 1:3
                smallRGBImage(:,:,j) = imresize(rgbImage(:,:,j), [newHeight, newWidth], 'bicubic');
        end
        smallImageName = [scaledRootName, sprintf('%05d.bmp',i)];
        imwrite(smallRGBImage, smallImageName, 'bmp');
end;

for i = initFrame+frameSpan:endFrame-frameSpan
        smallImageName = [scaledRootName, sprintf('%05d.bmp',i)];
    	disp(['%%%%%%%% Flow for image # ', num2str(i), ' %%%%%%%%']);
	[angleX, angleY, vDefined] = findAffineFlow(scaledRootName, i);
    	angleXName = [xMotionRootName, sprintf('%05d.bmp',i)];
	imwrite(angleX, angleXName, 'bmp');
    	angleYName = [yMotionRootName, sprintf('%05d.bmp',i)];
	imwrite(angleY, angleYName, 'bmp');
    	vDefinedName = [vDefinedRootName, sprintf('%05d.bmp',i)];
	imwrite(vDefined, vDefinedName, 'bmp'); 
end
	



