function convertImageFormats(parentDir, inputDir, outputDir, rootName, initFrame, endFrame)
%
% Script for using convert in a sequence of frames

fullInputRootName = [parentDir, '/', inputDir, '/', rootName];
fullOutputRootName = [parentDir, '/', outputDir, '/', rootName];
scale = 0.25;

for i = initFrame:endFrame
	disp(i);
	inputImageName = [fullInputRootName, sprintf('%05d.ppm',i)];
	outputImageName1 = [fullInputRootName, sprintf('%05d.bmp',i)];
	command = ['convert ', inputImageName, ' ', outputImageName1];
	unix(command);
	rgbImage = imread(outputImageName1);
	if i == initFrame
	   [height,width,nbColors] = size(rgbImage);
	   newHeight = height*scale;
	   newWidth = width*scale;
	   smallRGBImage = uint8(zeros(newHeight, newWidth, 3));
	end;
	for j = 1:3
		smallRGBImage(:,:,j) = imresize(rgbImage(:,:,j), [newHeight, newWidth], 'bicubic');
 	end
	outputImageName2 = [fullOutputRootName, sprintf('%05d.bmp',i)];
	imwrite(smallRGBImage, outputImageName2, 'bmp');
end;
