function queryTubeIndexList = filterQueryTubes(queryTubeSet, roiList);
%
% We have a list of tubes, a list of label choices, and for each choice a roi rectangle
% Return indices of tubes that fit in any of the rois of the list

nbTubes = size(queryTubeSet,1);
nbRects = length(roiList);
queryTubeIndexList = [];

for i = 1:nbTubes
    clipTube = queryTubeSet(i,:);
    isTubeOK = 0;
    for j = 1:nbRects
        rect = roiList{j};
%         isTubeOK = isTubeInRoi(clipTube, rect) & clipTube(8)>10;
        isTubeOK = isTubeInRoi(clipTube, rect) & clipTube(8)>0;
        if isTubeOK
            break; % one is enough, no need to check further
        end
    end
    if isTubeOK
        queryTubeIndexList = [queryTubeIndexList;i];
    end
end;