function trainingTubeIndexList = filterTrainingTubes(trainingTubeSet, labelList, labelChoices, roiList)
%
% We have a list of tubes, a list of labels for these tubes, a list of label choices, and for each choice a roi rectangle
% Return indices of tubes that fit in the roi correponding to their labels

nbTubes = size(trainingTubeSet,1);
nbLabelChoices = size(labelChoices,1);
trainingTubeIndexList = [];

for i = 1:nbTubes
    clipTube = trainingTubeSet(i,:);
    tubeLabel = char(labelList(i));
    isTubeOK = 0;
    for j = 1:nbLabelChoices
        labelChoice = char(labelChoices(j));
        if(strcmp(tubeLabel, labelChoice))
            rect = roiList{j};
 %           isTubeOK = isTubeInRoi(clipTube, rect);
            isTubeOK = isTubeInRoi(clipTube, rect) & clipTube(8)>0; % keep only large tubes
            break;
        end
    end
    if isTubeOK
        trainingTubeIndexList = [trainingTubeIndexList;i];
    end
end;