function isTubeOK = isTubeInRoi(clipTube, rect)
%
% Usage: isTubeOK = isTubeInRoi(nbFrames, nbRows, nbCols, clipTube)
% Accept tube only if its mid point is inside ROI rectangle
% Third and fourth coords of tubes are average x and y positions
% Because we used x and y there instead of normal distances to reduce effect of optical flow noise

xTube = clipTube(3); % column
yTube = clipTube(4); % row
isTubeOK = xTube >= rect.left & xTube <= rect.right & yTube >= rect.top & yTube <= rect.bottom;
