function mergeDatabasesFunc(actionDir, mpegDir, resultsDir, skippedIndex, mergedDatabaseName)

% We have a list of databases, one for each mpeg file listed in fileList.txt
% and we want to merge them into a single database
% except maybe for one of them at index skippedIndex in fileList.txt (if skippedIndex = 0, do not skip any)
% 1. Read each database composed of list of tubes (one per line), 
% list of video indices where tubes come from, and list of action labels
% 2. Merge lists of tubes
% 3. Find the max index used for video in list of first database 
% and add it to the list of second database, and so on, then merge

% actionDir = ['/fs/lamp/Projects/SpaceTimeSeg/ActionRecognition'];
% mpegDir = ['ActionMPEGs'];
% resultsDir = ['ActionResults'];
mergedDatabaseName = 'mergedDatabase';

totalSet = [];
totalIndices = [];
totalLabels = [];

fullFileListName = [actionDir, '/', mpegDir, '/fileList.txt'];
[nameList, startFrameList, endFrameList, frameCountList, labelList] = readVideoList(fullFileListName);

for i = 1:length(nameList)
    if i ~= skippedIndex
        clipName = char(nameList(i));
		databaseName = [actionDir,'/', resultsDir, '/', 'database', strtok(clipName, '.')];
        dataStruct = load(databaseName);
        dataSet = dataStruct.dataSet;
%         size(dataSet)
        videoIndices = dataStruct.videoIndices;
        actionLabels = dataStruct.actionLabels;
        
        totalSet= [totalSet; dataSet];
        totalLabels = [totalLabels; actionLabels];
%         if ~isempty(totalIndices)
%             maxIndex = max(totalIndices(:,1)); % first column is video indices, second is mid-frames
%             videoIndices(:,1) = videoIndices(:,1) + maxIndex;
%         end
        totalIndices = [totalIndices; videoIndices];
    end;
end;

dataSet = totalSet;
videoIndices = totalIndices;
actionLabels = totalLabels;
size(dataSet)

totalDatabaseName = [actionDir,'/', resultsDir, '/', mergedDatabaseName];
save(totalDatabaseName, 'dataSet', 'videoIndices', 'actionLabels');
