function [rgb3D, angleMapX, angleMapY, vDefinedMap] = readMapImages(clipDir, scaledDir, ...
			motionXDir, motionYDir, vDefinedDir, sequenceName, initFrame, endFrame)
% 
% Read precomputed map images and stack them
%
scaledRootName =  [clipDir, '/', scaledDir, '/', sequenceName];
xMotionRootName = [clipDir, '/', motionXDir, '/', sequenceName];
yMotionRootName = [clipDir, '/', motionYDir, '/', sequenceName];
vDefinedRootName = [clipDir, '/', vDefinedDir, '/', sequenceName];

iCount = 0;
nbFrames = endFrame - initFrame + 1;

for i = initFrame:endFrame
	disp(i);
	iCount = iCount + 1;
	scaledRGBName = [scaledRootName, sprintf('%05d.bmp',i)];
	angleXName = [xMotionRootName, sprintf('%05d.bmp',i)];
	angleYName = [yMotionRootName, sprintf('%05d.bmp',i)];
	vDefinedName = [vDefinedRootName, sprintf('%05d.bmp',i)];
	rgbImage = imread(scaledRGBName);
	angleX = imread(angleXName);
	angleY = imread(angleYName);
	vDefined = imread(vDefinedName);
	if iCount == 1
	   [height,width,nbColors] = size(angleX);
	   rgb3D = uint8(zeros(nbFrames, height, width, 3));
	   angleMapX = uint8(zeros(nbFrames, height, width));
	   angleMapY = uint8(zeros(nbFrames, height, width));
	   vDefinedMap = uint8(zeros(nbFrames, height, width));
	end;
	for j = 1:3
 	        rgb3D(iCount,:,:,j) = wkeep(rgbImage(:,:,j),[height, width]);
	end
	angleMapX(iCount,:,:) = angleX;
	angleMapY(iCount,:,:) = angleY;
	vDefinedMap(iCount,:,:) = vDefined;
end;
